<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.event.mapper.majornetwork.PmsMonitorMapper">

    <!--根据部门id查询监测点id-->
    <select id="getMonitorInfo" resultType="com.njcn.event.pojo.po.PmsMonitorPO">
        SELECT
        id,
        `Name`,
        Org_Name AS orgName,
        Org_Id AS orgId,
        Operation_Name AS operationName,
        Operation_Id AS operationId,
        Powerr_Name AS powerrName,
        Powerr_Id AS powerrId,
        Generatrix_Name AS generatrixName,
        Generatrix_Id AS generatrixId
        FROM
        pms_monitor
        WHERE
        Org_Id IN
        <foreach collection="deptIds" item="item" open="(" close=")" separator="," >
            #{item}
        </foreach>
    </select>
</mapper>